// Oleg Petruny proprietary.

#pragma once

#include "InputAnimatedWidgetInterface.h"
#include "ResolutionResponsiveUserWidget.h"

#include "DialogueSkipWidget.generated.h"

DECLARE_DYNAMIC_DELEGATE(FDialogueSkipDelegate);

UCLASS(Blueprintable, Abstract)
class UDialogueSkipWidget : public UResolutionResponsiveUserWidget, public IInputAnimatedWidgetInterface
{
    GENERATED_BODY()

public:
    FDialogueSkipDelegate skipDialogueDelegate;

    UPROPERTY(meta = (BindWidget))
    class UTextBlock* keyText;
    UPROPERTY(meta = (BindWidget))
    class UTextBlock* descriptionText;

protected:
    UFUNCTION(BlueprintCallable)
    void SkipDialogue() { skipDialogueDelegate.Execute(); }

};
